Name: krandr
Summary: Applet for configuring screen size and rotation
Version: 0.5.2.1
Release: %mkrel 6
License: GPL
Group: Graphical desktop/KDE 
URL: http://git.mandriva.com/?p=projects/krandr.git
Source0:  %{name}-%{version}.tar.gz
Patch0: krandr-0.5.2.1-legacy_randr_on_single_output.patch
Patch1: krandr-0.5.2-display_switch.patch
Patch2: krandr-0.5.2.1-fix_rrate_display.patch
Patch3: krandr-0.5.2.1-fix_autostart.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: kdelibs-devel
BuildRequires: qt3-devel >= 3.3.3
Conflicts: kdebase-common <= 1:3.5.7-18mdv2008.0
Conflicts: libkdebase4 <= 1:3.5.7-20mdv2008.0

%description
An applet for configuring screen size and rotation

%prep
%setup -q
%patch0 -p1 -b .legacyrandr
%patch1 -p1 -b .displayswitch
%patch2 -p1 -b .rrate_display
%patch3 -p1 -b .fix_autostart

%build
%configure2_5x
%make

%install
%makeinstall
# we don't want to mess with kde-i18n packages for now
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/krandr.mo

# install krandrtray in kde autostart
install -d -m 0755 %{buildroot}%{_datadir}/autostart
cp -f %{buildroot}%{_datadir}/applications/kde/krandrtray.desktop %{buildroot}%{_datadir}/autostart/

# remove the documentation as it is dummy
rm -rf %{buildroot}%{_datadir}/doc/HTML/en/krandr

%files
%defattr(-,root,root)
%{_bindir}/krandrtray
%{_libdir}/kde3/kcm_randr.*
%{_datadir}/applications/kde/krandrtray.desktop
%{_datadir}/applnk/.hidden/randr.desktop
%{_datadir}/autostart/krandrtray.desktop


%changelog
* Wed Oct 03 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.5.2.1-6mdv2008.0
+ Revision: 94865
- Make it possible to disable krandr autostart (#34378)

* Fri Sep 28 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.5.2.1-5mdv2008.0
+ Revision: 93579
- Make krandr start at session startup (#34047)
- Remove the dummy documentation files

* Mon Sep 17 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.5.2.1-4mdv2008.0
+ Revision: 89338
- Fix displaying of refresh rates (#33710)

* Thu Sep 13 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.5.2.1-3mdv2008.0
+ Revision: 85303
- add a display switch shortcut
- add proper conflicts to libkdebase4 (#32957)

* Wed Sep 12 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.5.2.1-2mdv2008.0
+ Revision: 84651
- Use the legacy randr interface when there is only one output available
  (mostly drivers that do not support RandR1.2 yet)

* Tue Aug 28 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.5.2.1-1mdv2008.0
+ Revision: 72849
- Fix group and point the URL to the git repository of krandr
- Import krandr

